const fs = require('fs')
const inquirer = require('inquirer')

const setupQuestions = [{
  type: 'input',
  name: 'username',
  message: 'Please enter your MedX username:'
}, {
  type: 'password',
  name: 'password',
  message: 'Please enter your MedX password:'
}, {
  type: 'input',
  name: 'auth',
  message: 'Enter your preferred auth server',
  default: 'https://authdev.medx.net/admin/api/login'
}, {
  type: 'input',
  name: 'c3',
  message: 'Enter your preferred medhub server',
  default: 'https://medhubdev.medx.net/api/c3'
}]

module.exports = (cb) => {
  inquirer.prompt(setupQuestions, (answers) => {
    const config = JSON.stringify({
      dev: {
        medx: answers,
        persist: false
      }
    }, null, 2)

    fs.writeFileSync('./config.json', config)
    cb()
  })
}
