'use strict'

const config = require('../config.json')
const conf = config[process.env.NODE_ENV || 'dev']

const api = require('./api.js')(conf.medx.username, conf.medx.password)
const store = require('./store.js')

module.exports = (key, answer, handleResponse) => {
  const handleData = (err, data) => {
    if (err) console.error(err)
    store.setState(key, data, (err) => {
      if (err) throw err
      handleResponse(data)
    })
  }

  if (!api.isLoggedIn()) return api.login(handleData)

  store.getState(key, (err, state) => {
    if (err) throw err
    api.ask(answer, state, handleData)
  })
}
