const config = require('../config.json')
const conf = config[process.env.NODE_ENV || 'dev']

const redis = conf.persist ? require('redis') : require('redis-js')
const client = redis.createClient()

exports.setState = (key, state, cb) => client.set(key, JSON.stringify(state), cb)

exports.getState = (key, cb) => {
  client.get(key, (err, reply) => {
    cb(err, !err && JSON.parse(reply))
  })
}
